Consistency check for district, orders and new_orders
select d_next_o_id from district where d_w_id=:w_id and d_id=:d_id;   //10 10 2047
select MAX(o_id) as max_o_id from orders where o_w_id=:w_id and o_d_id=:d_id;//3000,不走索引，差1
select MAX(no_o_id) as max_no_o_id from new_orders where no_w_id=:w_id and no_d_id=:d_id;//不走索引，差1

要求对于每个(w_id, d_id),满足d_next_o_id - 1 =max(o_id) = max(no_o_id)

Consistency check for new_orders
select COUNT(no_o_id) as count_no_o_id from new_orders where no_w_id=:w_id and no_d_id=:d_id;900
select MAX(no_o_id) as max_no_o_id from new_orders where no_w_id=:w_id and no_d_id=:d_id;3000
select MIN(no_o_id) as min_no_o_id from new_orders where no_w_id=:w_id and no_d_id=:d_id;2101
要求对于每个(w_id, d_id),满足count(no_o_id) = max(no_o_id) - min(no_o_id) + 1;

Consistency check for orders and order_line
select SUM(o_ol_cnt) as sum_ol_cnt from orders where o_w_id=:w_id and o_d_id=:d_id;//不走
select COUNT(ol_o_id) as count_ol_o_id from order_line where ol_w_id=:w_id and ol_d_id=:d_id;

要求对于每个(w_id, d_id),满足sum(o_ol_cnt) = count(ol_o_id)


select count(*) from warehouse;
select count(*) from stock;
select count(*) from item;
select count(*) from district;
select count(*) from customer;
select count(*) from history;
select count(*) from orders;
select count(*) from new_orders;
select count(*) from order_line;

