import sys
import socket
import os
import threading
import time
import random

MAX_MEM_BUFFER_SIZE = 8192
PORT_DEFAULT = 8765


THREAD_NUM = 16 # 调整线程数量
MAX_TRANSACTION = 10000000 # 事务数量，后面会在1-10之间选择一个数作为事务数量
W = 20
increase_ration = 2
SLEEP_TIME = 1
def generate_random_id():
    return random.randint(1, 100)

def generate_w_id():
    return random.randint(1, W*increase_ration)

def generate_d_id():
    return random.randint(1, 10)

def generate_d_w_id():
    return random.randint(1, W*increase_ration)

def generate_c_id():
    return random.randint(1, 3000)
def generate_c_d_id():
    return random.randint(1, 10)
def generate_c_w_id():
    return random.randint(1, W*increase_ration)

def generate_o_id():
    return random.randint(1, 3000)

def generate_o_d_id():
    return random.randint(1, 10)

def generate_o_w_id():
    return random.randint(1, W *increase_ration)

def generate_ol_i_id():
    return random.randint(1, 1000000)

def generate_ol_supply_w_id():
    return random.randint(1, 4)

def generate_h_c_id():
    return random.randint(1, 30)

def generate_h_c_d_id():
    return random.randint(1, 10)

def generate_h_c_w_id():
    return random.randint(1, 30)

def generate_h_d_id():
    return random.randint(1, 10)

def generate_h_w_id():
    return random.randint(1, 30)

def generate_no_o_id():
    return random.randint(2101, 3000)

def generate_no_d_id():
    return random.randint(1, 10)

def generate_no_w_id():
    return random.randint(1, W * increase_ration)

def generate_o_c_id():
    return random.randint(1, 3000)

def generate_o_carrier_id():
    return random.randint(1, 10)


def generate_d_next_o_id():
    return random.randint(1, 3001)


def generate_string(size):
    alphabet = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ'
    characters = random.choices(alphabet, k=size)  # 使用 choices() 以允许重复
    return ''.join(characters)

def new_order_transaction():
    sql_statements = []
    w_id = generate_w_id()
    d_id = generate_d_id()
    c_id = generate_c_id()
    o_id = generate_o_id()
    ol_i_id = generate_ol_i_id()
    ol_supply_w_id = generate_ol_supply_w_id()
    s_quantity = random.randint(1, 100)
    o_entry_d = "2024-08-13 12:00:00"
    o_carrier_id = generate_random_id()
    o_ol_cnt = random.randint(1, 10)
    o_all_local = random.randint(0, 1)
    ol_number = random.randint(1, 10)
    ol_quantity = random.randint(1, 100)
    ol_amount = round(random.uniform(10, 1000), 2)
    ol_dist_info = "SampleDistInfo"
    d_next_o_id = generate_random_id()

    sql_statements.append("begin;")
    sql_statements.append(f"SELECT c_discount, c_last, c_credit, w_tax FROM customer, warehouse WHERE w_id = {w_id} AND c_w_id = w_id AND c_d_id = {d_id} AND c_id = {c_id};")
    sql_statements.append(f"SELECT d_next_o_id, d_tax FROM district WHERE d_id = {d_id} AND d_w_id = {w_id};")
    sql_statements.append(f"UPDATE district SET d_next_o_id = {d_next_o_id} WHERE d_id = {d_id} AND d_w_id = {w_id};")
    sql_statements.append(f"INSERT INTO orders VALUES({o_id}, {d_id}, {w_id}, {c_id}, '{o_entry_d}', {o_carrier_id}, {o_ol_cnt}, {o_all_local});")
    sql_statements.append(f"INSERT INTO new_orders VALUES({o_id}, {d_id}, {w_id});")
    sql_statements.append(f"SELECT i_price, i_name, i_data FROM item WHERE i_id = {ol_i_id};")
    sql_statements.append(f"SELECT s_quantity, s_data, s_dist_01, s_dist_02, s_dist_03, s_dist_04, s_dist_05, s_dist_06, s_dist_07, s_dist_08, s_dist_09, s_dist_10 FROM stock WHERE s_i_id = {ol_i_id} AND s_w_id = {ol_supply_w_id};")
    sql_statements.append(f"UPDATE stock SET s_quantity = {s_quantity} WHERE s_i_id = {ol_i_id} AND s_w_id = {ol_supply_w_id};")
    sql_statements.append(f"INSERT INTO order_line VALUES ({o_id}, {d_id}, {w_id}, {ol_number}, {ol_i_id}, {ol_supply_w_id}, '{o_entry_d}', {ol_quantity}, {ol_amount}, '{ol_dist_info}');")
    sql_statements.append("commit;")
    return sql_statements

def payment_transaction():
    sql_statements_payment = []
    w_id = generate_w_id()
    d_id = generate_d_id()
    c_id = generate_c_id()
    h_amount = round(random.uniform(10, 500), 2)
    c_balance = round(random.uniform(0, 10000), 2)
    h_c_id = generate_h_c_id()
    h_c_d_id = generate_h_c_d_id()
    h_c_w_id = generate_h_c_w_id()
    h_d_id = generate_h_d_id()
    h_date = "2024-08-13 12:00:00"
    h_data = "PaymentData"
    sql_statements_payment.append("begin;")
    sql_statements_payment.append(f"UPDATE warehouse SET w_ytd=w_ytd+{h_amount} WHERE w_id={w_id};")
    sql_statements_payment.append(f"SELECT w_street_1, w_street_2, w_city, w_state, w_zip, w_name FROM warehouse WHERE w_id={w_id};")
    sql_statements_payment.append(f"UPDATE district SET d_ytd=d_ytd+{h_amount} WHERE d_w_id={w_id} AND d_id={d_id};")
    sql_statements_payment.append(f"SELECT d_street_1, d_street_2, d_city, d_state, d_zip, d_name FROM district WHERE d_w_id={w_id} AND d_id={d_id};")
    sql_statements_payment.append(f"SELECT c_first, c_middle, c_last, c_street_1, c_street_2, c_city, c_state, c_zip, c_phone, c_credit, c_credit_lim, c_discount, c_balance, c_since FROM customer WHERE c_w_id={w_id} AND c_d_id={d_id} AND c_id={c_id};")
    sql_statements_payment.append(f"UPDATE customer SET c_balance={c_balance} WHERE c_w_id={w_id} AND c_d_id={d_id} AND c_id={c_id};")
    sql_statements_payment.append(f"INSERT INTO history VALUES({h_c_id}, {h_c_d_id}, {h_c_w_id}, {h_d_id}, {w_id}, '{h_date}', {h_amount}, '{h_data}');")
    sql_statements_payment.append("commit;")
    return sql_statements_payment

def delivery_transaction():
    sql_statements_delivery = []
    w_id = generate_w_id()
    d_id = generate_d_id()
    o_id = generate_o_id()
    no_o_id = generate_no_o_id()
    o_c_id = generate_o_c_id()
    o_carrier_id = generate_o_carrier_id()
    datetime = "2024-08-13 12:00:00"
    sum_amount = round(random.uniform(10, 1000), 2)
    c_balance = round(random.uniform(0, 10000), 2)
    c_id = generate_c_id()

    sql_statements_delivery.append("begin;")
    sql_statements_delivery.append(f"SELECT min(no_o_id) as min_o_id FROM new_orders WHERE no_d_id={d_id} AND no_w_id={w_id};")
    sql_statements_delivery.append(f"DELETE FROM new_orders WHERE no_o_id={o_id} AND no_d_id={d_id} AND no_w_id={w_id};")
    sql_statements_delivery.append(f"SELECT o_c_id FROM orders WHERE o_id={no_o_id} AND o_d_id={d_id} AND o_w_id={w_id};")
    sql_statements_delivery.append(f"UPDATE orders SET o_carrier_id={o_carrier_id} WHERE o_id={no_o_id} AND o_d_id={d_id} AND o_w_id={w_id};")
    sql_statements_delivery.append(f"UPDATE order_line SET ol_delivery_d='{datetime}' WHERE ol_o_id={no_o_id} AND ol_d_id={d_id} AND ol_w_id={w_id};")
    sql_statements_delivery.append(f"SELECT sum(ol_amount) as sum_amount FROM order_line WHERE ol_o_id={no_o_id} AND ol_d_id={d_id};")
    sql_statements_delivery.append(f"UPDATE customer SET c_balance={c_balance}, c_delivery_cnt=c_delivery_cnt+1 WHERE c_id={c_id} AND c_d_id={d_id} AND c_w_id={w_id};")
    sql_statements_delivery.append("commit;")
    return sql_statements_delivery

def order_status_transaction():
    sql_statements_order_status = []
    c_w_id = generate_c_w_id()
    c_d_id = generate_c_d_id()
    c_id = generate_c_id()
    c_last = generate_string(10)
    o_id = generate_o_id()

    sql_statements_order_status.append("begin;")
    if random.random() < 0.6:
        sql_statements_order_status.append(f"SELECT count(c_id) as count_c_id FROM customer WHERE c_w_id={c_w_id} AND c_d_id={c_d_id} AND c_last='{c_last}';")
        sql_statements_order_status.append(f"SELECT c_balance, c_first, c_middle, c_last FROM customer WHERE c_w_id={c_w_id} AND c_d_id={c_d_id} AND c_last='{c_last}' ORDER BY c_first;")
    else:
        sql_statements_order_status.append(f"SELECT c_balance, c_first, c_middle, c_last FROM customer WHERE c_w_id={c_w_id} AND c_d_id={c_d_id} AND c_id={c_id};")

    sql_statements_order_status.append(f"SELECT o_id, o_entry_d, o_carrier_id FROM orders WHERE o_w_id={c_w_id} AND o_d_id={c_d_id} AND o_c_id={c_id} AND o_id={o_id};")
    sql_statements_order_status.append(f"SELECT ol_i_id, ol_supply_w_id, ol_quantity, ol_amount, ol_delivery_d FROM order_line WHERE ol_w_id={c_w_id} AND ol_d_id={c_d_id} AND ol_o_id={o_id};")
    sql_statements_order_status.append("commit;")

    return sql_statements_order_status

def stock_level_transaction():
    sql_statements_stock_level = []
    w_id = generate_w_id()
    d_id = generate_d_id()
    d_next_o_id = generate_d_next_o_id()
    ol_i_id = generate_ol_i_id()
    level = random.randint(1, 100)

    sql_statements_stock_level.append("begin;")
    sql_statements_stock_level.append(f"SELECT d_next_o_id FROM district WHERE d_id={d_id} AND d_w_id={w_id};")
    sql_statements_stock_level.append(f"SELECT ol_i_id FROM order_line WHERE ol_w_id={w_id} AND ol_d_id={d_id} AND ol_o_id<{d_next_o_id};")
    sql_statements_stock_level.append(f"SELECT count(*) as count_stock FROM stock WHERE s_w_id={w_id} AND s_i_id={ol_i_id} AND s_quantity<{level};")
    sql_statements_stock_level.append("commit;")

    return sql_statements_stock_level

# def send(client_socket, messages):
#     """
#     发送整个事务的 SQL 数据到服务器。
#     """
#     # 发送整个事务
#     for message in messages:
#         client_socket.sendall(message.encode())
#         time.sleep(SLEEP_TIME)
#
#     # 接收服务器的响应
#     data = client_socket.recv(MAX_MEM_BUFFER_SIZE).decode()
#
#     while 'abort' in data:
#         print(data)
#         # 重发整个事务
#         for message in messages:
#             client_socket.sendall(message.encode())
#             time.sleep(SLEEP_TIME)
#         data = client_socket.recv(MAX_MEM_BUFFER_SIZE).decode()
#
#     # 打印接收到的数据
#     print(threading.get_native_id(), 'rmdb>', messages, '\n', data)
#
#
# def send_file_content(thread_id, host, port):
#     # 创建一个socket对象
#     client_socket = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
#
#     try:
#         # 连接到服务器
#         client_socket.connect((host, port))
#
#         # 定义事务数量
#         times = 10
#         for i in range(times):
#             num = random.randint(1, 5)
#             # 根据随机数生成不同的 SQL 事务
#             if num == 1:
#                 sql = new_order_transaction()
#             elif num == 2:
#                 sql = payment_transaction()
#             elif num == 3:
#                 sql = delivery_transaction()
#             elif num == 4:
#                 sql = order_status_transaction()
#             elif num == 5:
#                 sql = stock_level_transaction()
#
#             # 发送整个事务
#             send(client_socket, sql)
#
#     except ConnectionRefusedError:
#         print('Connection refused. Make sure the server is running.')
#
#     finally:
#         # 关闭socket连接
#         client_socket.close()
def send(client_socket, messages):
    again = False
    while True:
        # 发送数据到服务器
        for message in messages:
            client_socket.sendall(message.encode())

            # 接收服务器的响应
            data = client_socket.recv(MAX_MEM_BUFFER_SIZE).decode()

            # while 'abort' in data:
            #     print(data)
            #     client_socket.sendall(message.encode())
            #     data = client_socket.recv(MAX_MEM_BUFFER_SIZE).decode()

            if 'abort' in data:
                again = True
                break
            else:
                again = False

            # 打印接收到的数据
            print(threading.get_native_id(), 'rmdb>', message, '\n', data)

        if not again:
            return

def get_filename(thread_id):
    return f"thread_{thread_id}_output.sql"

def send_file_content(thread_id, host, port):
    # 创建一个socket对象
    client_socket = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
    abort_time = 0
    try:
        # 连接到服务器
        client_socket.connect((host, port))
        filename = get_filename(thread_id)
        #times = random.randint(1, MAX_TRANSACTION)
        with open(filename, 'w') as file:
            # 生成并写入 SQL
            times = 20
            for i in range(times):
                num = random.randint(1, 5)
                if num == 1:
                    sql = new_order_transaction()
                elif num == 2:
                    sql = payment_transaction()
                elif num == 3:
                    sql = delivery_transaction()
                elif num == 4:
                    sql = order_status_transaction()
                elif num == 5:
                    sql = stock_level_transaction()

                # 打印 SQL 和写入文件
                #print(sql)
                # for s in sql:
                #     file.write(s + '\n')
                #     file.write('end\n')

                send(client_socket, sql)

    except ConnectionRefusedError:
        print('Connection refused. Make sure the server is running.')

    finally:
        # 关闭socket连接
        client_socket.close()
def main():

    # 定义服务器地址和端口
    host = '127.0.0.1'
    port = PORT_DEFAULT

    client_socket = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
    client_socket.connect((host, port))


    # 创建10个线程
    num_threads = THREAD_NUM
    threads = []

    for i in range(num_threads):
        thread = threading.Thread(target=send_file_content, args=(i, host, port))
        threads.append(thread)

    # 启动所有线程
    for thread in threads:
        thread.start()

    # 等待所有线程完成
    for thread in threads:
        thread.join()

if __name__ == '__main__':
    main()
